%define name	perl-CDDB_get
%define version	1.66
%define release	5mdk

Summary:	Read the CDDB entry for an audio CD in your drive	
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	CDDB_get-1.66.tar.bz2
Url:		http://www.cpan.org
Requires:	perl
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module/script gets the CDDB info for an audio cd.

%prep
%setup -q -n CDDB_get-%{version} 

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%clean 
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{_bindir}/cddb.pl
%{perl_vendorlib}/auto/CDDB_get
%{perl_vendorlib}/CDDB_get.pm
%{perl_vendorlib}/cddb.pl
%{_mandir}/*/*

%changelog
* Sat Aug 02 2003 Ben Reser <ben@reser.org> 1.66-5mdk
- Better summary/description
- Macroize
- %%makeinstall_std
- remove rm buildroot in %%prep

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.66-4mdk
- rebuild for new auto{prov,req}

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.66-3mdk
- build release

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.66-2mdk
- switch to noarch
- rebuild for perl 5.8.0

* Mon Nov 26 2001 Oden Eriksson <oden.eriksson@linux-mandrake.com> 1.66-1mdk
- initial cooker contrib
